Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfFontStyleComplexType

    java.lang.Object
      java.lang.Enum<OdfFontStyleComplexType>
          org.odftoolkit.odfdom.dom.type.style.OdfFontStyleComplexType

All Implemented Interfaces:
  Serializable, Comparable<OdfFontStyleComplexType>

    public enum OdfFontStyleComplexType

extends Enum<OdfFontStyleComplexType>

DOM implementation of OpenDocument attribute style:font-style-complex.

Enum Constant Summary
`ITALIC`
`NORMAL`
`OBLIQUE`

Method Summary
`static OdfFontStyleComplexType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFontStyleComplexType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFontStyleComplexType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFontStyleComplexType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ITALIC

    public static final OdfFontStyleComplexType ITALIC

### NORMAL

    public static final OdfFontStyleComplexType NORMAL

### OBLIQUE

    public static final OdfFontStyleComplexType OBLIQUE

Method Detail

### values

    public static OdfFontStyleComplexType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFontStyleComplexType c : OdfFontStyleComplexType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFontStyleComplexType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFontStyleComplexType>`
  Returns:
    return the name of OdfFontStyleComplexType

### toString

    public static String toString(OdfFontStyleComplexType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFontStyleComplexType, see style:font-style-complex
  Returns:
    return the name of OdfFontStyleComplexType

### enumValueOf

    public static OdfFontStyleComplexType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFontStyleComplexType
  Returns:
    return the constant of OdfFontStyleComplexType, see style:font-style-complex

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.